# $Revision: 1.29 $, $Date: 2005/11/20 14:49:09 $
%include	/usr/lib/rpm/macros.php
%define		_class		Archive
%define		_subclass	Tar
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Tar file management class
Summary(pl):	%{_pearname} - klasa do zarzdzania plikami Tar
Name:		php-pear-%{_pearname}
Version:	1.3.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3b1b2e6ddd58de6ec2925fc35b7fdfe8
URL:		http://pear.php.net/package/Archive_Tar/
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides handling of tar files in PHP. It supports
creating, listing, extracting and adding to tar files. Gzip support is
available if PHP has the zlib extension built-in or loaded.

In PEAR status of this package is: %{_status}.

%description -l pl
Ta klasa udostpnia obsug plikw tar w PHP. Pozwala na tworzenie,
przegldanie zawartoci, rozpakowywanie i dodawanie plikw do archiww
tar. Obsuga kompresji gzip jest dostpna, jeli do PHP jest
zainstalowany modu rozszerzenia zlib.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Archive_Tar.spec,v $
Revision 1.29  2005/11/20 14:49:09  adamg
- updated to 1.3.2

Revision 1.28  2005/09/30 14:18:13  glen
- rel 2

Revision 1.27  2005/09/21 21:04:01  glen
- fixed dirs

Revision 1.26  2005/09/19 21:43:39  glen
- integer BR

Revision 1.25  2005/09/19 18:38:49  glen
- merged from DEVEL: use new pear packaging system

Revision 1.23.2.8  2005/09/18 12:40:53  glen
- unify

Revision 1.23.2.7  2005/09/18 10:54:56  glen
- cosmetics

Revision 1.23.2.6  2005/09/18 10:50:33  glen
- use php-pear-build

Revision 1.23.2.5  2005/09/18 10:09:20  glen
- such package method requires php-zlib

Revision 1.23.2.4  2005/09/18 08:44:10  glen
- minimum BR php-pear-PEAR

Revision 1.23.2.3  2005/09/18 08:25:37  glen
- use updated %pear_package_setup

Revision 1.23.2.2  2005/09/17 22:13:56  glen
- works

Revision 1.23.2.1  2005/09/17 21:41:05  glen
- fix epoch

Revision 1.23  2005/09/17 21:38:35  glen
- use pear to package test.

Revision 1.22  2005/03/27 07:38:12  adamg
- updated to 1.3.1

Revision 1.21  2004/12/03 20:34:45  adamg
- drop Requires: php-pear-PEAR (it is automatically generated now)
- release 3

Revision 1.20  2004/11/24 10:21:30  deejay1
- proper R: php-pear-PEAR
- rel up to 2

Revision 1.19  2004/05/30 13:13:47  adamg
- fixed english information about status of the package

Revision 1.18  2004/05/09 15:09:53  adamg
- updated to 1.2

Revision 1.17  2003/10/07 20:54:19  adamg
- do not use macros in URL

Revision 1.16  2003/08/31 20:49:08  adamg
- more specific URL

Revision 1.15  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.14  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.13  2003/05/25 06:25:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/01/31 23:54:21  blues
- 1.0 - stable release - STBR to Ra updates

Revision 1.11  2003/01/07 17:46:49  blues
- Release 6, added dir entry

Revision 1.10  2003/01/07 16:55:13  blues
- added status info

Revision 1.9  2002/10/14 23:35:27  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.8  2002/09/07 19:21:44  blues
- fix in macros

Revision 1.7  2002/08/08 20:25:13  blues
- simplified install

Revision 1.6  2002/07/12 12:15:00  blues
- release 3 (rebuild with new rpm)

Revision 1.5  2002/07/04 00:41:57  blues
- release 2

Revision 1.4  2002/06/29 14:17:37  blues
- removed dir entry - will be in php.spec

Revision 1.3  2002/06/25 11:00:16  blues
- more macros

Revision 1.2  2002/06/24 21:27:41  qboosh
- pl description

Revision 1.1  2002/06/24 12:49:50  blues
- Archive_Tar class
